IPNAT(8)

NAME
ipnat - user interface to the NAT

SYNOPSIS
ipnat [-lnrsvCF] -f filename

DESCRIPTION

ipnat opens the filename given (treating “-” as stdin) and parses the file for a set of rules which are to be added or removed from the IP NAT.

Each rule processed by ipnat is added to the kernels internal lists if there are no parsing problems. Rules are added to the end of the internal lists, matching the order in which they appear when given to ipnat.

Please Note That ipnat is not functional without ipf(8) running. In addition, the following kernel options need to be turned on in order to use ipnat: GATEWAY, IPFORWARDING and PFIL_HOOKS. The sysctl

    “sysctl net.inet.ip.forwarding”

will inform you if IPFORWARDING is currently turned on in your kernel. Please see options(4) and sysctl(8) for more information on turning these parameters on.

OPTIONS

-C  delete all entries in the current NAT rule listing (NAT rules)

-F  delete all active entries in the current NAT translation table (currently active NAT mappings)

-l  Show the list of current NAT table entry mappings.

-n  This flag (no-change) prevents ipf from actually making any ioctl calls or doing anything which would alter the currently running kernel.

-s  Retrieve and display NAT statistics

-r  Remove matching NAT rules rather than add them to the internal lists

-v  Turn verbose mode on. Displays information relating to rule processing and active rules/table entries.

FILES
/dev/ipnat
/usr/share/examples/ipf Directory with examples.

SEE ALSO
ipnat(5), ipf(8), ipfstat(8)